def show_points(points, colors=None, order=(0, 1, 2), dpi=200, backend="plt"):
    import matplotlib.pyplot as plt

    fig = plt.figure(figsize=(12, 7))
    ax = fig.add_subplot(projection="3d")
    ax.scatter(points[:, order[0]], points[:, order[1]], points[:, order[2]], c=colors)

    ax.set_xlabel("X")
    ax.set_ylabel("Y")
    ax.set_zlabel("Z")
    ax.set_aspect("equal")

    plt.gcf().set_dpi(dpi)
    plt.tight_layout()
    plt.show()
